package cz.moneta.test.dsl.ufo.banka.pages.products.sme;

import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.KUL058_S002_ChangeCardFramePage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.KUL004_S001_EditBusinessInfoPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.KUL077_S001_ClientsBusinessAndPersonalData;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface KUL001_S001_SelectProductsPageTransitions extends WebFlow<KUL001_S001_SelectProductsPageTransitions> {

    BPP001_S001_DocumentationSendPage onDocumentationSendPage();

    KUL004_S001_EditBusinessInfoPage onEditBusinessInfoPage();

    KUL077_S001_ClientsBusinessAndPersonalData onBusinessInfoPage();

    KUL058_S001_CommercialCreditCardDetailPage onCommercialCreditCardDetail();

    KUL058_S002_ChangeCardFramePage onChangeCardFramePage();
}
